# detector

## Required Detect Types
```
--detect.required.detector.types=BITBAKE,CARGO,CARTHAGE,COCOAPODS,CONAN,CONDA,CPAN,CRAN,DART,GIT,GO_MOD,GO_DEP,GO_VNDR,GO_VENDOR,GO_GRADLE,GRADLE,HEX,IVY,LERNA,MAVEN,NPM,NUGET,PACKAGIST,PEAR,PIP,PNPM,POETRY,RUBYGEMS,SBT,SETUPTOOLS,SWIFT,YARN,CLANG,XCODE,OPAM 
```

The set of required detectors\.

If you want one or more detectors to be required \(must be found to apply\), use this property to specify the set of required detectors\. If this property is set, and one \(or more\) of the given detectors is not found to apply, Detect will fail\.

|Details||
|---|---|
|Added|4\.3\.0|
|Type|DetectorType List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|Yes|
|Acceptable Values|BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO\_MOD, GO\_DEP, GO\_VNDR, GO\_VENDOR, GO\_GRADLE, GRADLE, HEX, IVY, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, PNPM, POETRY, RUBYGEMS, SBT, SETUPTOOLS, SWIFT, YARN, CLANG, XCODE, OPAM|
|Strict|Yes|
|Example|`NPM`|


## Detector Accuracy Requirements (Advanced)
```
--detect.accuracy.required=ALL,NONE,BITBAKE,CARGO,CARTHAGE,COCOAPODS,CONAN,CONDA,CPAN,CRAN,DART,GIT,GO_MOD,GO_DEP,GO_VNDR,GO_VENDOR,GO_GRADLE,GRADLE,HEX,IVY,LERNA,MAVEN,NPM,NUGET,PACKAGIST,PEAR,PIP,PNPM,POETRY,RUBYGEMS,SBT,SETUPTOOLS,SWIFT,YARN,CLANG,XCODE,OPAM 
```

Detector types from which HIGH accuracy results are required when a detector of that type applies\.

The value of this property only affects detector types which apply to the source project\. If a detector type applies, and is one of the accuracy\-required detector types indicated by the value of this property, low accuracy results for that detector type are treated as a failure\.  Refer to the <i>Downloading and Running Black Duck Detect</i> > <i>Detector search and accuracy</i> page for more details\.

|Details||
|---|---|
|Added|7\.13\.0|
|Type|DetectorType List|
|Default Value|ALL|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|ALL, NONE, BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO\_MOD, GO\_DEP, GO\_VNDR, GO\_VENDOR, GO\_GRADLE, GRADLE, HEX, IVY, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, PNPM, POETRY, RUBYGEMS, SBT, SETUPTOOLS, SWIFT, YARN, CLANG, XCODE, OPAM|
|Strict|Yes|
    |Example|`ALL,NONE`|

## Detector Types Excluded (Advanced)
```
--detect.excluded.detector.types=NONE,BITBAKE,CARGO,CARTHAGE,COCOAPODS,CONAN,CONDA,CPAN,CRAN,DART,GIT,GO_MOD,GO_DEP,GO_VNDR,GO_VENDOR,GO_GRADLE,GRADLE,HEX,IVY,LERNA,MAVEN,NPM,NUGET,PACKAGIST,PEAR,PIP,PNPM,POETRY,RUBYGEMS,SBT,SETUPTOOLS,SWIFT,YARN,CLANG,XCODE,OPAM 
```

By default, all detectors will be included\. If you want to exclude specific detectors, specify the ones to exclude here\. Exclusion rules always win\.

If Detect runs one or more detector on your project that you would like to exclude, you can use this property to prevent Detect from running them\.

|Details||
|---|---|
|Added|3\.0\.0|
|Type|DetectorType List|
|Default Value|NONE|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|NONE, BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO\_MOD, GO\_DEP, GO\_VNDR, GO\_VENDOR, GO\_GRADLE, GRADLE, HEX, IVY, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, PNPM, POETRY, RUBYGEMS, SBT, SETUPTOOLS, SWIFT, YARN, CLANG, XCODE, OPAM|
|Strict|Yes|
    |Example|`NPM,LERNA`|

## Detector Types Included (Advanced)
```
--detect.included.detector.types=ALL,BITBAKE,CARGO,CARTHAGE,COCOAPODS,CONAN,CONDA,CPAN,CRAN,DART,GIT,GO_MOD,GO_DEP,GO_VNDR,GO_VENDOR,GO_GRADLE,GRADLE,HEX,IVY,LERNA,MAVEN,NPM,NUGET,PACKAGIST,PEAR,PIP,PNPM,POETRY,RUBYGEMS,SBT,SETUPTOOLS,SWIFT,YARN,CLANG,XCODE,OPAM 
```

By default, all tools will be included\. If you want to include only specific tools, specify the ones to include here\. Exclusion rules always win\.

If you want to limit Detect to a subset of its detectors, use this property to specify that subset\.

|Details||
|---|---|
|Added|3\.0\.0|
|Type|DetectorType List|
|Default Value|ALL|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|ALL, BITBAKE, CARGO, CARTHAGE, COCOAPODS, CONAN, CONDA, CPAN, CRAN, DART, GIT, GO\_MOD, GO\_DEP, GO\_VNDR, GO\_VENDOR, GO\_GRADLE, GRADLE, HEX, IVY, LERNA, MAVEN, NPM, NUGET, PACKAGIST, PEAR, PIP, PNPM, POETRY, RUBYGEMS, SBT, SETUPTOOLS, SWIFT, YARN, CLANG, XCODE, OPAM|
|Strict|Yes|
    |Example|`NPM`|



